RanklyBee logoRanklyBee
Prospects

Set prospect pipeline status

Requires the prospects:write scope.

PATCH
/workspaces/{workspaceId}/prospects/{prospectId}/status

Requires the prospects:write scope.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

prospectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

status*string

Value in

  • "rejected"
  • "blocked"
reason?string
Lengthlength <= 500

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/workspaces/string/prospects/string/status" \  -H "Content-Type: application/json" \  -d '{    "status": "rejected"  }'
{  "ok": true,  "data": {    "id": "string",    "siteId": "string",    "status": "proposed",    "decisionReason": "string",    "decidedAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}